<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- contactData.v01.xsl contient le template d'affichage des informations d'un contactData de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:cdmfr="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!-- FICHIERS INCLUDE UTILISEES	-->

	<xsl:template match="contactData">
		<!-- ajout pour orgUnit -->
		<xsl:if test="not(contactName/text[@language=$_lang]='')">
			<xsl:apply-templates select="contactName/text[@language=$_lang]"/><br/>
		</xsl:if>
		<p>	<xsl:call-template name="tCommunGestionLibelle">
				<xsl:with-param name="pIdent" select="'libAdresse'"/>
			</xsl:call-template>
			<xsl:value-of select="adr/extadr"/><xsl:text>, </xsl:text><xsl:value-of select="adr/street"/><xsl:text>, </xsl:text><xsl:value-of select="adr/pcode"/><xsl:text> </xsl:text><xsl:value-of select="adr/locality"/><xsl:text>, </xsl:text><xsl:value-of select="adr/country"/></p>
		<p>	<xsl:call-template name="tCommunGestionLibelle">
				<xsl:with-param name="pIdent" select="'libTelephoneAbrege'"/>
			</xsl:call-template>
			<xsl:value-of select="telephone"/></p>
		<p>	<xsl:call-template name="tCommunGestionLibelle">
				<xsl:with-param name="pIdent" select="'libTelecopieAbrege'"/>
			</xsl:call-template>
			<xsl:value-of select="fax"/></p>
		<xsl:apply-templates select="email"/>
		<!--<xsl:if test="contains(email,'@')">
			<p><a href="mailto:{email}"><xsl:value-of select="email"/></a></p>
		</xsl:if>-->
		<xsl:if test="infoBlock[@blockLang=$_lang]"> <!-- Complément adresse -->
			<p><xsl:apply-templates select="infoBlock[@blockLang=$_lang]"/></p>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="tContacts">
		<xsl:param name="pNodeContacts"/>
		<!-- section contactData -->
		<xsl:apply-templates select="$pNodeContacts/contactData"/><br/>
		<!-- section refPerson -->
		<xsl:apply-templates select="$pNodeContacts/refPerson"/><br/>
		<!-- section infoBlock -->
		<xsl:apply-templates select="$pNodeContacts/infoBlock"/><br/>
	</xsl:template>

</xsl:stylesheet>